<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/movie_nav_graph"
    app:startDestination="@id/movieHomeFragment2">

    <fragment
        android:id="@+id/movieHomeFragment2"
        android:name="com.example.moviedatabase.movie.presentation.MovieHomeFragment"
        android:label="fragment_movie_home"
        tools:layout="@layout/fragment_movie_home" >
        <action
            android:id="@+id/action_movieHomeFragment2_to_movieDetailsFragment"
            app:destination="@id/movieDetailsFragment" />
        <action
            android:id="@+id/action_movieHomeFragment2_to_movieSearchFragment"
            app:destination="@id/movieSearchFragment" />
        <action
            android:id="@+id/action_movieHomeFragment2_to_movieAnalyticsFragment"
            app:destination="@id/movieAnalyticsFragment" />
    </fragment>
    <fragment
        android:id="@+id/movieDetailsFragment"
        android:name="com.example.moviedatabase.movie.presentation.MovieDetailsFragment"
        android:label="fragment_movie_details"
        tools:layout="@layout/fragment_movie_details" >
        <argument
            android:name="poster"
            app:argType="string"
            android:defaultValue="Poster" />
        <argument
            android:name="title"
            app:argType="string"
            android:defaultValue="Title" />
        <argument
            android:name="directors"
            app:argType="string"
            android:defaultValue="Directors" />
        <argument
            android:name="writers"
            app:argType="string"
            android:defaultValue="Writers" />
        <argument
            android:name="genres"
            app:argType="string"
            android:defaultValue="Genres" />
        <argument
            android:name="rated"
            app:argType="string"
            android:defaultValue="Rated" />
        <argument
            android:name="year"
            app:argType="integer"
            android:defaultValue="0" />
        <argument
            android:name="full_plot"
            app:argType="string"
            android:defaultValue="Full Plot" />
        <argument
            android:name="cast"
            app:argType="string"
            android:defaultValue="Cast" />
        <argument
            android:name="awards"
            app:argType="string"
            android:defaultValue="Awards" />
        <argument
            android:name="imdb"
            app:argType="string"
            android:defaultValue="0.0" />
        <argument
            android:name="countries"
            app:argType="string"
            android:defaultValue="Countries" />
        <argument
            android:name="_id"
            app:argType="string"
            android:defaultValue="_id" />

    </fragment>
    <fragment
        android:id="@+id/movieSearchFragment"
        android:name="com.example.moviedatabase.movie.presentation.MovieSearchFragment"
        android:label="fragment_movie_search"
        tools:layout="@layout/fragment_movie_search" >
        <action
            android:id="@+id/action_movieSearchFragment_to_movieDetailsFragment"
            app:destination="@id/movieDetailsFragment" />
    </fragment>
    <fragment
        android:id="@+id/movieAnalyticsFragment"
        android:name="com.example.moviedatabase.movie.presentation.MovieAnalyticsFragment"
        android:label="fragment_movie_analytics"
        tools:layout="@layout/fragment_movie_analytics" />
</navigation>